org.eclipse.actf.model.dom.odf.form

## Interface FormControlElement

All Superinterfaces:
  Element, Node, ODFElement

All Known Subinterfaces:
  ButtonElement, CheckboxElement, ColumnElement, ComboboxElement, FixedTextElement, FormattedTextElement, FrameElement, ItemElement, ListboxElement, NumberElement, OptionElement, RadioElement, TextareaElement, TextElement

    public interface FormControlElement
    extends ODFElement

ODF elements representing form controls should implement this interface.

### Field Summary

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

### Method Summary

Methods
`String` `getAttrFormControlImplementation()` Return form:control-implementation attribute
`String` `getAttrFormLabel()` Return form:label attribute
`String` `getAttrFormTabIndex()` Return form:tab-index attribute
`boolean` `getAttrFormTabStop()` Return form:tab-stop attribute

### Methods inherited from interface org.w3c.dom.Element

`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

### Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

### Method Detail

#### getAttrFormLabel

    String getAttrFormLabel()

Return form:label attribute

Returns:
  String

#### getAttrFormTabIndex

    String getAttrFormTabIndex()

Return form:tab-index attribute

Returns:
  String

#### getAttrFormTabStop

    boolean getAttrFormTabStop()

Return form:tab-stop attribute

Returns:
  String

#### getAttrFormControlImplementation

    String getAttrFormControlImplementation()

Return form:control-implementation attribute

Returns:
  String